Home | All Classes | Grouped Classes | Index | Search

# CL_PNGProvider::CL_PNGProvider

Constructs a surface provider that can read PNG files.

    	CL_PNGProvider(
    		const std::string& name, CL_InputSourceProvider* provider = 0);

Parameters:

name
  Name of the PNG file to load.
provider
  Input source provider that delivers the PNG file.

See also:

CL_InputSourceProvider | CL_InputSource | CL_PNGProvider

Questions or comments, write to the ClanLib mailing list.